cancel
Showing results for 
Search instead for 
Did you mean: 

Connect Manager showing version 1.9.3.1 installed when only 1.8.1.0 installed

Connect Manager showing version 1.9.3.1 installed when only 1.8.1.0 installed

I'm not sure how this happened but Connect Manager is showing version 1.9.3.1 is installed when in actuality version 1.8.1.0 is running in my store. I want to upgrade to 1.9.3.1 but it won't let me.

3 REPLIES

Re: Connect Manager showing version 1.9.3.1 installed when only 1.8.1.0 installed

Hi @chasman,

 

Can you check/open the file /app/Mage.php and search for this lines of code?

 

public static function getVersionInfo()
    {
        return array(
            'major'     => '1',
            'minor'     => '9',
            'revision'  => '3',
            'patch'     => '1',
            'stability' => '',
            'number'    => '',
        );
    }

On Magento 1.9.3.1 is line 168. Can you check if your Mage.php file has the same number?

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"

Re: Connect Manager showing version 1.9.3.1 installed when only 1.8.1.0 installed

Line 155 of Mage.php

 

public static function getVersion()
{
$i = self::getVersionInfo();
return trim("{$i['major']}.{$i['minor']}.{$i['revision']}" . ($i['patch'] != '' ? ".{$i['patch']}" : "")
. "-{$i['stability']}{$i['number']}", '.-');
}

/**
* Gets the detailed Magento version information
* @link http://www.magentocommerce.com/blog/new-community-edition-release-process/
*
* @return array
*/
public static function getVersionInfo()
{
return array(
'major' => '1',
'minor' => '8',
'revision' => '1',
'patch' => '0',
'stability' => '',
'number' => '',
);
}

 

I can get back to where Connect Manager shows ver. 1.8.1.0 (correct version) and where I can update to ver. 1.9.3.1 by restoring my backup of my files and database. Then when I try to update to ver. 1.9.3.1 (I select 'Mage_All_Latest_Package' only), it installs the files but then gives me an error "exception during cache and session cleaning" This is how I get all the 1.9.3.1 files in my var directory and how I believe Connect Manager thinks I have the latest version installed when I actually don't. I thought I read somewhere that Connect Manager cannot be used to install 1.9.3.1. I'll try an earlier version of 1.9. I really need to update for the security patches as my site was recently compromised. Am I on the right track here? Thanks for your help. 

Re: Connect Manager showing version 1.9.3.1 installed when only 1.8.1.0 installed

@chasman,

 

I understood what you said but I'm not sure why you got two different versions (I never deal with that kind of error).

 

About how to upgrade vs patches. You haver two different steps to follow:

 

1) You can start by cleaning your store and then apply patches (and check for latest versions of 3rd-party modules).

 

2) Perform a full update. As you said, Mage 1.9.3.1 wasn't available through MagentoConnect Manager (I didn't tried in the last weeks). In that case you'll need to perform a manual upgrade. (I did it from 1.9.2.4 only but has worked perfectly).

 

No matter which approach you choose, you'll need to clean and check you stroe in hte current state. Than you can choose for patches only (step 1) or platform upgrade (step 2).

I guess that my choice could be #2.

--
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution"